﻿$ErrorActionPreferenc = 'Stop';
$pp = Get-PackageParameters;
if (!$pp['destination']) { $pp['destination'] = 'C:\opt' }

$packageName= 'uhexen2'
$distVersion = '1.5.9'
$distName = "hexen2-$distVersion"
$workingDirectory = Join-Path $pp['destination'] $distName
$targetPath = Join-Path $workingDirectory 'glh2.exe'

$packageArgs = @{
  packageName   = $packageName
  url           = "https://sourceforge.net/projects/uhexen2/files/Hammer%20of%20Thyrion/$distVersion/Windows/$distName-win32.zip/download" # download url, HTTPS preferred
  url64bit      = "https://sourceforge.net/projects/uhexen2/files/Hammer%20of%20Thyrion/$distVersion/Win64/$distName-win64.zip/download" # 64bit URL here (HTTPS preferred) or remove - if installer contains both (very rare), use $url
  unzipLocation = $pp['destination']

  checksum      = 'ae180c355416d10a17beded7e50c4d3e2e3c0f95646262ebf411e9d38e16e1a4'
  checksumType  = 'sha256' #default is md5, can also be sha1, sha256 or sha512
  checksum64    = '938d5e4bc394bd91aafa2e81cea78630bcefd0f00211d59238cf06cbc6c62c2a'
  checksumType64= 'sha256'
}

# https://chocolatey.org/docs/helpers-install-chocolatey-zip-package
Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -ShortcutFilePath 'C:\ProgramData\Microsoft\Windows\Start Menu\Programs\Hexen II Hammer of Thyrion.lnk' `
 -TargetPath $targetPath `
 -WorkingDirectory $workingDirectory
 
## Unzips a file to the specified location - auto overwrites existing content
## - https://chocolatey.org/docs/helpers-get-chocolatey-unzip
#Get-ChocolateyUnzip @packageArgs
